> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Employment Details

> Use this API to to retrieve an individual's recent employment details. 

View the [test data](https://www.cashfree.com/docs/api-reference/vrs/data-to-test-integration#employment-information) and use the information to trigger the validations. The test data can be used only in the sandbox environment.



## OpenAPI

````yaml post /advance-employment
openapi: 3.0.0
info:
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  title: Cashfree Verification API's.
  version: '2023-12-18'
  description: >-
    Cashfree's Verification APIs provide different types of verification to our
    merchants.
servers:
  - description: Sandbox Server
    url: https://sandbox.cashfree.com/verification
  - description: Production Server
    url: https://api.cashfree.com/verification
security: []
tags:
  - name: Aadhaar
    description: Operations related to Aadhaar verification.
  - name: BAV V2
    description: Operations related to Bank account verification v2.
  - name: PAN
    description: Operations related to PAN verification.
  - name: Digilocker
    description: Operations related to Digilocker verification.
  - name: E-sign
    description: Operations related to E-sign verification.
  - name: Reverse Penny Drop
    description: Operations related to Reverse Penny Drop verification.
  - name: UPI Penny Drop
    description: Operations related to UPI Penny Drop verification.
  - name: Mobile Penny Drop
    description: Operations related to Mobile Penny Drop verification.
  - name: IP
    description: Operation related to IP verification.
  - name: UPI
    description: Operations related to UPI verification.
  - name: Passport
    description: Operation related to Passport verification.
  - name: CIN
    description: Operation related to CIN verification.
  - name: Name Match
    description: Operation related to Name Match verification.
  - name: PAN to GSTIN
    description: Operation related to PAN to GSTIN.
  - name: Face Match
    description: Operation related to Face Match verification.
  - name: Voter ID
    description: Operation related to Voter ID verification.
  - name: Reverse Geocoding
    description: Operation related to Reverse Geocoding.
  - name: Vehicle RC
    description: Operation related to Vehicle RC verification.
  - name: Driving License
    description: Operation related to Driving License verification.
  - name: GSTIN
    description: Operation related to GSTIN verification.
  - name: Account Aggregator
    description: Operations related to Account aggregator.
  - name: OTPLess
    description: Operations related to OTPLess Verification.
  - name: 1-Click
    description: Operations related to 1-Click.
  - name: Smart OCR
    description: Operations related to Smart OCR.
  - name: Geocoding
    description: Operations related to Geocoding.
  - name: Udyam
    description: Operation related to Udyam verification.
  - name: PAN to Udyam
    description: Operation related to PAN to Udyam.
paths:
  /advance-employment:
    post:
      tags:
        - Advanced Employment
      summary: Get Employment Details
      description: >-
        Use this API to to retrieve an individual's recent employment details. 


        View the [test
        data](https://www.cashfree.com/docs/api-reference/vrs/data-to-test-integration#employment-information)
        and use the information to trigger the validations. The test data can be
        used only in the sandbox environment.
      operationId: VrsAdvanceEmploymentVerification
      parameters:
        - $ref: '#/components/parameters/x_cf_signature'
      requestBody:
        $ref: '#/components/requestBodies/AdvanceEmploymentRequest'
      responses:
        '200':
          $ref: '#/components/responses/AdvanceEmploymentResponse'
        '400':
          $ref: '#/components/responses/Response400AdvanceEmployment'
        '401':
          $ref: '#/components/responses/Response401'
        '403':
          $ref: '#/components/responses/Response403'
        '409':
          $ref: '#/components/responses/Response409DuplicateId'
        '422':
          $ref: '#/components/responses/Response422'
        '429':
          $ref: '#/components/responses/Response429'
        '500':
          $ref: '#/components/responses/Response500V2'
        '502':
          $ref: '#/components/responses/Response502V2'
      security:
        - XClientID: []
          XClientSecret: []
components:
  parameters:
    x_cf_signature:
      description: >-
        Send the signature if two-factor authentication is selected as Public
        Key.  [More
        details](https://www.cashfree.com/docs/api-reference/vrs/getting-started#2fa-api-signature-generation).
      name: x-cf-signature
      in: header
      required: false
      schema:
        type: string
      example: ''
  requestBodies:
    AdvanceEmploymentRequest:
      description: Find the request parameters to retrieve employment details.
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/AdvanceEmploymentRequestSchema'
          examples:
            phone_number:
              $ref: '#/components/examples/phone_number'
            uan:
              $ref: '#/components/examples/uan'
            phone_and_pan:
              $ref: '#/components/examples/phone_and_pan'
            phone_dob_and_employer_name:
              $ref: '#/components/examples/phone_dob_and_employer_name'
            phone_employee_and_employer_name:
              $ref: '#/components/examples/phone_employee_and_employer_name'
            phone_dob_and_names:
              $ref: '#/components/examples/phone_dob_and_names'
            phone_pan_and_names:
              $ref: '#/components/examples/phone_pan_and_names'
            phone_pan_dob_and_names:
              $ref: '#/components/examples/phone_pan_dob_and_names'
            uan_and_names:
              $ref: '#/components/examples/uan_and_names'
            uan_and_employee:
              $ref: '#/components/examples/uan_and_employee'
            dob_and_employee:
              $ref: '#/components/examples/dob_and_employee'
            dob_and_names:
              $ref: '#/components/examples/dob_and_names'
  responses:
    AdvanceEmploymentResponse:
      description: Success response for retreiving employment information.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/AdvanceEmploymentResponse'
          examples:
            SUCCESS:
              value:
                verification_id: test_verification_id
                reference_id: 12345
                status: SUCCESS
                input:
                  phone: '9988776655'
                  pan: null
                  uan: null
                  dob: null
                  employee_name: null
                  employer_name: null
                uan_details:
                  - uan: '101340612345'
                    source: dob and name
                    source_score: 0
                    basic_details:
                      gender: MALE
                      dob: '1996-10-02'
                      employee_confidence_score: 0
                      employee_name: John Doe
                      phone: '9988776655'
                      aadhaar_verified: true
                    employment_details:
                      member_id: MHBAN12342200000012345
                      establishment_id: MHBAN1234220000
                      exit_date: null
                      joining_date: '2020-02-21'
                      leave_reason: null
                      establishment_name: Cashfree India Private Ltd
                      employer_confidence_score: 0.1
                    additional_details:
                      aadhaar: XXXXXXXX7561
                      email: johndoe@gmail.com
                      pan: ABCDE5930G
                      ifsc: SBIN0012345
                      bank_account: '20329012345'
                      bank_address: STATE BANK OF INDIA,KATANGA  BENGALURU
                      relation: F
                      relative_name: Alice Doe
                recent_employment_details:
                  employee_details:
                    member_id: UPLKO22417520000010171
                    exit_date: null
                    joining_date: '2023-09-01'
                    uan: '101379636551'
                    epfo:
                      recent: true
                      name_unique: true
                      pf_filings_details: true
                    employed: false
                    employee_name_match: false
                    exit_date_marked: false
                  employer_details:
                    establishment_id: MHBAN1234220000
                    establishment_name: Cashfree India Private Ltd
                    setup_date: '2020-11-19'
                    ownership_type: Private Limited Company
                    employer_confidence_score: 0.3
                    employer_name_match: false
                    pf_filing_details:
                      - total_amount: 37524
                        employees_count: 17
                        wage_month: NOV-23
                      - total_amount: 41249
                        employees_count: 19
                        wage_month: OCT-23
                      - total_amount: 37295
                        employees_count: 16
                        wage_month: SEP-23
            EMPLOYMENT_DETAILS_NOT_FOUND:
              value:
                verification_id: test_verification_id
                reference_id: 12345
                status: EMPLOYMENT_DETAILS_NOT_FOUND
                input:
                  phone: '9988776655'
                  pan: null
                  uan: null
                  dob: null
                  employee_name: null
                  employer_name: null
                uan_details: []
                recent_employment_details: null
    Response400AdvanceEmployment:
      description: Validation errors for Advanced Employment API.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Invalid input combination:
              $ref: '#/components/examples/InvalidInputCombination'
            Invalid Verification ID:
              $ref: '#/components/examples/InvalidVerificationId'
            Client ID/Client Secret Missing:
              $ref: '#/components/examples/XClientIdMissing'
            Using-Test-Credentials-in-Prod:
              $ref: '#/components/examples/UsingTestCredentialsInProd'
    Response401:
      description: Invalid client ID and client secret combination.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Invalid client ID and client secret combination:
              value:
                type: authentication_error
                code: authentication_failed
                message: Invalid clientId and clientSecret combination
    Response403:
      description: Authentication error (IP not whitelisted).
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            IP not whitelisted:
              value:
                type: authentication_error
                code: ip_validation_failed
                message: >-
                  IP not whitelisted your current ip is 106.51.91.104.For IP
                  whitelisting assistance, visit our guide at
                  https://www.cashfree.com/docs/secure-id/get-started/integration/ip-whitelisting-verification
            x-cf-signature header missing:
              value:
                type: validation_error
                code: authentication_failed
                message: x-cf-signature missing in the request header
    Response409DuplicateId:
      description: Conflict error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Conflict Error:
              value:
                type: validation_error
                code: verification_id_already_exists
                message: verification ID already exists
    Response422:
      description: >-
        Validation error because of insufficient balance to process this
        request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Insufficient balance:
              value:
                type: validation_error
                code: insufficient_balance
                message: Insufficient balance to process this request
    Response429:
      description: Rate limit exceed error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Rate limit error per operation:
              value:
                type: rate_limit_error
                code: too_many_requests_per_operation
                message: Too many requests for this operation, rate limit reached
            Rate limit error per IP:
              value:
                type: rate_limit_error
                code: too_many_requests_per_ip
                message: Too many requests from the IP, rate limit reached
    Response500V2:
      description: Internal error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Internal Server Error:
              value:
                type: internal_error
                code: verification_failed
                message: something went wrong
    Response502V2:
      description: Gateway error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Bad Gateway:
              value:
                type: internal_error
                code: verification_failed
                message: verification attempt failed
  schemas:
    AdvanceEmploymentRequestSchema:
      type: object
      required:
        - verification_id
      properties:
        verification_id:
          description: >-
            It is the unique ID you create to identify the API request. The
            maximum character limit is 50. Only alphanumeric, period (.), hyphen
            (-), and underscore ( _ ) are allowed.
          type: string
          example: ABC00123
        phone:
          description: It is the phone number of the employee. **(conditonal mandatory)**.
          type: string
          example: '9988776655'
        pan:
          type: string
          description: >-
            It is the PAN information of the employee. **(conditonal
            mandatory)**.
          example: AZJPG7110R
        uan:
          type: string
          description: >-
            It is the unique number assigned to every employee contributing to
            the Employees' Provident Fund (EPF). **(conditonal mandatory)**.
          example: '101340612345'
        dob:
          type: string
          format: date
          description: >-
            It is the date of birth information of the employee. The format is
            YYYY-MM-DD.Employee date of birth. **(conditonal mandatory)**.
          example: '1995-11-10'
        employee_name:
          type: string
          description: It is the name of the employee. **(conditonal mandatory)**.
          example: John Doe
        employer_name:
          type: string
          description: It is the name of the employer. **(conditonal mandatory)**.
          example: Cashfree India Pvt Ltd
    AdvanceEmploymentResponse:
      description: Success response for retreiving employment information.
      type: object
      example:
        verification_id: test_verification_id
        reference_id: 12345
        status: SUCCESS
        input:
          phone: '9988776655'
          pan: null
          uan: null
          dob: null
          employee_name: null
          employer_name: null
        uan_details:
          - uan: '101340612345'
            source: dob and name
            source_score: 0
            basic_details:
              gender: MALE
              dob: '1996-10-02'
              employee_confidence_score: null
              employee_name: John Doe
              phone: '9988776655'
              aadhaar_verified: true
            employment_details:
              member_id: MHBAN12342200000012345
              establishment_id: MHBAN1234220000
              exit_date: null
              joining_date: '2020-02-21'
              leave_reason: null
              establishment_name: Cashfree India Private Ltd
              employer_confidence_score: 0.1
            additional_details:
              aadhaar: XXXXXXXX7561
              email: johndoe@gmail.com
              pan: ABCDE5930G
              ifsc: SBIN0012345
              bank_account: '20329012345'
              bank_address: STATE BANK OF INDIA,KATANGA  BENGALURU
              relation: F
              relative_name: Alice Doe
        recent_employment_details:
          employee_details:
            member_id: UPLKO22417520000010171
            exit_date: null
            joining_date: '2023-09-01'
            uan: '101379636551'
            epfo:
              recent: true
              name_unique: true
              pf_filings_details: true
            employed: false
            employee_name_match: false
            exit_date_marked: false
        employer_details:
          establishment_id: MHBAN1234220000
          establishment_name: Cashfree India Private Ltd
          setup_date: '2020-11-19'
          ownership_type: Private Limited Company
          employer_confidence_score: 0.3
          employer_name_match: false
          pf_filing_details:
            - total_amount: 37524
              employees_count: 17
              wage_month: NOV-23
            - total_amount: 41249
              employees_count: 19
              wage_month: OCT-23
            - total_amount: 37295
              employees_count: 16
              wage_month: SEP-23
      properties:
        verification_id:
          type: string
          description: >-
            It displays the unique ID you created to identify the verification
            request.
          example: test_verification_id
        reference_id:
          type: integer
          description: >-
            It displays the unique ID created by Cashfree Payments for reference
            purposes.

            format: `int64`
          example: 1358
        status:
          type: string
          description: |-
            It displays the list of status of the API request.
            Possible values are:
            `SUCCESS` `EMPLOYMENT_DETAILS_NOT_FOUND`
          example: SUCCESS
        input:
          type: object
          description: It contains the information entered in the API request.
          properties:
            phone:
              type: string
              description: >-
                It displays the phone number of the employee passed in API
                request.
            pan:
              type: string
              description: >-
                It displays the PAN information of the employee passed in API
                request.
            uan:
              type: string
              description: >-
                It displays the UAN information of the employee passed in API
                request.
            dob:
              type: string
              description: >-
                It displays the date of birth of the employee passed in API
                request.
              example: '1996-10-02'
            employee_name:
              type: string
              description: It displays the name of the employee passed in API request.
              example: John Doe
            employer_name:
              type: string
              description: It displays the name of the employer passed in API request.
        uan_details:
          type: array
          description: It contains the list of UAN details.
          items:
            type: object
            description: It contains the information in individual components.
            properties:
              uan:
                type: string
                description: >-
                  It displays the Universal Account Number (UAN) information of
                  the employee.
                example: '101340612345'
              source:
                type: string
                description: It displays the fields used to fetch the data from source.
                example: dob and name
              source_score:
                type: number
                description: It displays the confidence of the source data.
                example: 0
              basic_details:
                type: object
                description: It displays the basic information of the employee.
                properties:
                  gender:
                    type: string
                    description: It displays the gender of the employee.
                    example: MALE
                  dob:
                    type: string
                    description: It displays the date of birth of the employee.
                    example: '1996-10-02'
                  employee_confidence_score:
                    type: number
                    description: It displays the confidence score for the employee.
                    example: 0
                  employee_name:
                    type: string
                    description: It displays the name of the employee.
                    example: John Doe
                  phone:
                    type: string
                    description: It displays the phone number of the employee.
                    example: '9988776655'
                  aadhaar_verified:
                    type: boolean
                    description: >-
                      It displays whether the aadhaar information of the
                      employee is verified or not.
                    example: true
              employment_details:
                type: object
                description: It contains the employement details of the individual.
                properties:
                  member_id:
                    type: string
                    description: It displays the unique ID assigned to an individual.
                    example: MHBAN12342200000012345
                  establishment_id:
                    type: string
                    description: >-
                      It displays the unique ID assigned to a specific
                      establishment or business entity.
                    example: MHBAN1234220000
                  exit_date:
                    type: string
                    description: >-
                      It displays the last working day of the employee in the
                      organisation.
                  joining_date:
                    type: string
                    description: >-
                      It displays the first working day of the employee in the
                      organisation.
                    example: '2020-02-21'
                  leave_reason:
                    type: string
                    description: It displays the reason for leaving the previous job.
                  establishment_name:
                    type: string
                    description: It displays the name of the organisation.
                    example: Cashfree India Private Ltd
                  employer_confidence_score:
                    type: number
                    description: It displays the confidence score assigned to the employer.
                    example: 0.1
              additional_details:
                type: object
                description: It contains additional information of the individual.
                properties:
                  aadhaar:
                    type: string
                    description: It displays the masked aadhaar number of the individual.
                    example: XXXXXXXX7561
                  email:
                    type: string
                    description: It displays the email address of the individual.
                    example: johndoe@gmail.com
                  pan:
                    type: string
                    description: It displays the PAN information of the individual.
                    example: ABCDE5930G
                  ifsc:
                    type: string
                    description: >-
                      It displays the IFSC information of the individual's bank
                      account.
                    example: SBIN0012345
                  bank_account:
                    type: string
                    description: It displays the bank account number of the individual.
                    example: '20329012345'
                  bank_address:
                    type: string
                    description: It displays the address of the bank branch.
                    example: STATE BANK OF INDIA,KATANGA  BENGALURU
                  relation:
                    type: string
                    description: >-
                      It displays the realtionship of the individual with the
                      relative.
                    example: F
                  relative_name:
                    type: string
                    description: It displays the name of the relative.
                    example: Alice Doe
        recent_employment_details:
          type: object
          description: It contains the recent employment details of the individual.
          properties:
            employee_details:
              type: object
              description: It contains the recent details of the individual as an employee.
              properties:
                member_id:
                  type: string
                  description: It displays the unique ID assigned to an individual.
                  example: UPLKO22417520000010171
                exit_date:
                  type: string
                  description: >-
                    It displays the last working day of the employee in the
                    organisation.
                  example: '2024-11-01'
                joining_date:
                  type: string
                  description: >-
                    It displays the first working day of the employee in the
                    organisation.
                  example: '2023-09-01'
                uan:
                  type: string
                  description: >-
                    It displays the Universal Account Number (UAN) information
                    of the employee.
                  example: '101379636551'
                epfo:
                  type: object
                  description: >-
                    It contains the information found in Employees' Provident
                    Fund Organisation (EPFO).
                  properties:
                    recent:
                      type: boolean
                      description: It displays whether the retrieved information is recent.
                      example: true
                    name_unique:
                      type: boolean
                      description: It displays whether the retrieved name is unique.
                      example: true
                    pf_filings_details:
                      type: boolean
                      description: It displays whether the PF filing details are correct.
                      example: true
                employed:
                  type: boolean
                  description: It displays whether the individual is employed.
                  example: false
                employee_name_match:
                  type: boolean
                  description: >-
                    It displays whether the individual's name matches with the
                    name found in EPFO.
                  example: false
                exit_date_marked:
                  type: boolean
                  description: It displays whether the last working.
                  example: false
            employer_details:
              type: object
              description: It contains the recent details of the employer.
              properties:
                establishment_id:
                  type: string
                  description: >-
                    It displays the unique ID assigned to a specific
                    establishment or business entity.
                  example: MHBAN1234220000
                establishment_name:
                  type: string
                  description: It displays the name of the organisation.
                  example: Cashfree India Private Ltd
                setup_date:
                  type: string
                  description: It displays the date on which organisation is launched.
                  example: '2020-11-19'
                ownership_type:
                  type: string
                  description: It displays the type of ownership of the organisation.
                  example: Private Limited Company
                employer_confidence_score:
                  type: number
                  description: It displays the confidence score of organisation details.
                  example: 0.3
                employer_name_match:
                  type: boolean
                  description: >-
                    It displays the name match score of employer name passed in
                    input with organisation name recieved from the source.
                  example: false
                pf_filing_details:
                  type: array
                  description: It displays the pf filling details of the organisation.
                  items:
                    type: object
                    properties:
                      total_amount:
                        type: number
                        description: >-
                          It displays the pf amount in rupees filed by
                          organisation.
                        example: 37524
                      employees_count:
                        type: number
                        description: >-
                          It displays the count of employees in the
                          organisation.
                        example: 17
                      wage_month:
                        type: string
                        description: >-
                          It displays month for which employees wages are being
                          reported or processed.
                        example: NOV-23
    ErrorResponseSchema:
      type: object
      properties:
        code:
          type: string
          example: x-client-id_missing
        error:
          type: object
          example:
            ref_id: 102
        message:
          type: string
          example: x-client-id is missing in the request.
          description: It displays the outcome of the error.
        type:
          type: string
          example: validation_error
          description: It displays the type of error.
  examples:
    phone_number:
      summary: Phone Number
      description: Get employment details with phone number.
      value:
        verification_id: test_verification_id
        phone: '9988775566'
    uan:
      summary: UAN
      description: Get employment details with UAN.
      value:
        verification_id: test_verification_id
        uan: '101340612345'
    phone_and_pan:
      summary: Phone number and PAN
      description: Get employment details with phone number and PAN.
      value:
        verification_id: test_verification_id
        phone: '9988775566'
        pan: ABCDE5930G
    phone_dob_and_employer_name:
      summary: Phone number, DOB, and employee name
      description: Get employment details with phone number, DOB, and employee name.
      value:
        verification_id: test_verification_id
        phone: '9988775566'
        dob: '1999-01-27'
        employee_name: John Doe
    phone_employee_and_employer_name:
      summary: Phone number, employee, and employer name
      description: Get employment details with phone number, employer, and employee name.
      value:
        verification_id: test_verification_id
        phone: '9988775566'
        employee_name: John Doe
        employer_name: Cashfree India Private Ltd
    phone_dob_and_names:
      summary: Phone number, DOB, and names
      description: >-
        Get employment details with phone number, DOB, employer, and employee
        names.
      value:
        verification_id: test_verification_id
        phone: '9988775566'
        dob: '1999-01-27'
        employee_name: John Doe
        employer_name: Cashfree India Private Ltd
    phone_pan_and_names:
      summary: Phone number, PAN, and names
      description: >-
        Get employment details with phone number, PAN, employer, and employee
        names.
      value:
        verification_id: test_verification_id
        phone: '9988775566'
        pan: ABCDE5930G
        employee_name: John Doe
        employer_name: Cashfree India Private Ltd
    phone_pan_dob_and_names:
      summary: Phone number, PAN, DOB, and names
      description: >-
        Get employment details with phone number, PAN, DOB, employer, and
        employee names.
      value:
        verification_id: test_verification_id
        phone: '9988775566'
        pan: ABCDE5930G
        dob: '1999-01-27'
        employee_name: John Doe
        employer_name: Cashfree India Private Ltd
    uan_and_names:
      summary: UAN and names
      description: Get employment details with UAN, employer, and employee names.
      value:
        verification_id: test_verification_id
        uan: '101340612345'
        employee_name: John Doe
        employer_name: Cashfree India Private Ltd
    uan_and_employee:
      summary: UAN and employee name
      description: Get employment details with UAN and employee name.
      value:
        verification_id: test_verification_id
        uan: '101340612345'
        employee_name: John Doe
    dob_and_employee:
      summary: DOB and employee name
      description: Get employment details with DOB and employee name.
      value:
        verification_id: test_verification_id
        dob: '1999-01-27'
        employee_name: John Doe
    dob_and_names:
      summary: DOB, employer, and employee names
      description: Get employment details with DOB, employer, and employee names.
      value:
        verification_id: test_verification_id
        dob: '1999-01-27'
        employee_name: John Doe
        employer_name: Cashfree India Private Ltd
    InvalidInputCombination:
      value:
        type: validation_error
        code: input_combination_invalid
        message: provided input combination is not valid
    InvalidVerificationId:
      value:
        type: validation_error
        code: verification_id_value_invalid
        message: verification_id can include only alphanum, dot, hyphen and underscores
    XClientIdMissing:
      value:
        type: validation_error
        code: x-client-id_missing
        message: x-client-id is missing in the request.
    UsingTestCredentialsInProd:
      value:
        type: validation_error
        code: x-client-secret_value_invalid
        message: Client secret belongs to test environment
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Your unique client identifier issued by Cashfree. You can find this in
        your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        The secret key associated with your client ID. Use this to authenticate
        your API requests. You can find this in your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).

````